=== debian/changelog ===
httraqt (1.2.0-1) unstable; urgency=low

  * Initial packaging. (Closes: #733448).

 -- Anton Gladky <gladk@debian.org>  Sun, 29 Dec 2013 22:18:46 +0100
