=== debian/control ===
Source: httraqt
Section: web
Priority: optional
Maintainer: Anton Gladky <gladk@debian.org>
Homepage: http://httraqt.sourceforge.net/
Standards-Version: 3.9.5
Build-Depends:
 cmake,
 debhelper (>= 9),
 libhttrack-dev,
 libqt4-dev,
 libssl-dev
Vcs-Git: git://anonscm.debian.org/collab-maint/httraqt.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/httraqt.git

Package: httraqt
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: program for downloading of internet sites
 Program is intended for loading of Internet pages and/or their contents,
 equipped with flexible system of settings.
 HTTraQt - graphical user interface (GUI) for HTTrack library,
 developed in C++ and based on multiplatform Qt library.
