=== sources/main/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #CMakeLists.txt
 
-set(MAIN_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/httraqt.cpp
+set(MAIN_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/translator.cpp
+                 ${CMAKE_CURRENT_SOURCE_DIR}/httraqt.cpp
                  ${CMAKE_CURRENT_SOURCE_DIR}/AboutDialog.cpp
                  ${CMAKE_CURRENT_SOURCE_DIR}/buttonPanel.cpp
                  ${CMAKE_CURRENT_SOURCE_DIR}/ConfirmTab.cpp
@@ -15,7 +16,7 @@
                 PARENT_SCOPE)
 
 set(MAIN_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/includes/httraqt.h
-                 ${CMAKE_CURRENT_SOURCE_DIR}/includes/lang.h
+                 ${CMAKE_CURRENT_SOURCE_DIR}/includes/translator.h
                  ${CMAKE_CURRENT_SOURCE_DIR}/includes/AboutDialog.h
                  ${CMAKE_CURRENT_SOURCE_DIR}/includes/buttonPanel.h
                  ${CMAKE_CURRENT_SOURCE_DIR}/includes/FinalTab.h
@@ -47,6 +48,7 @@
 #QT4_WRAP_CPP(MAIN_HEADERS_MOC ${MAIN_HEADERS})
 #QT4_WRAP_UI(MAIN_FORMS_HEADERS ${MAIN_FORMS})
 
+
 # cleanup $build/*.cpp~ on "make clean"
 SET_DIRECTORY_PROPERTIES(PROPERTIES
     ADDITIONAL_MAKE_CLEAN_FILES "${CMAKE_CURRENT_SOURCE_DIR}/*~")
