=== sources/options/CMakeLists.txt ===
--- 
+++ 
@@ -46,9 +46,15 @@
 	      ${CMAKE_CURRENT_SOURCE_DIR}/forms/OptionsSpider.ui
                 PARENT_SCOPE)
 
-
-QT4_WRAP_CPP(OPT_HEADERS_MOC ${OPT_HEADERS})
-QT4_WRAP_UI(OPT_FORMS_HEADERS ${OPT_FORMS})
+# IF(${USE_QT_VERSION} MATCHES "4")
+#     QT4_WRAP_CPP(OPT_HEADERS_MOC ${OPT_HEADERS})
+#     QT4_WRAP_UI(OPT_FORMS_HEADERS ${OPT_FORMS})
+# ENDIF()
+# 
+# IF(${USE_QT_VERSION} MATCHES "5")
+#     QT5_WRAP_CPP(OPT_HEADERS_MOC ${OPT_HEADERS})
+#     QT5_WRAP_UI(OPT_FORMS_HEADERS ${OPT_FORMS})
+# ENDIF()
 
 # cleanup $build/*.cpp~ on "make clean"
 SET_DIRECTORY_PROPERTIES(PROPERTIES
