=== debian/changelog ===
httraqt (1.3.0-1) unstable; urgency=medium

  * [21d0560] Imported Upstream version 1.3.0

 -- Anton Gladky <gladk@debian.org>  Fri, 31 Jan 2014 19:57:07 +0100

httraqt (1.2.2-1) unstable; urgency=medium

  * [df79bef] Imported Upstream version 1.2.2

 -- Anton Gladky <gladk@debian.org>  Thu, 23 Jan 2014 19:47:53 +0100

httraqt (1.2.1-1) unstable; urgency=medium

  * [687f3bb] Imported Upstream version 1.2.1

 -- Anton Gladky <gladk@debian.org>  Sat, 04 Jan 2014 23:03:48 +0100
