=== debian/watch ===
version=3
http://sf.net/httraqt/httraqt-([\d.]+)\.tar\.gz debian uupdate
