## httraqt 1.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -132,7 +132,7 @@
   
 ADD_SUBDIRECTORY(sources/main)
 ADD_SUBDIRECTORY(sources/options)
-ADD_SUBDIRECTORY(sources/icons)
+#ADD_SUBDIRECTORY(sources/icons)
 
 
 INCLUDE_DIRECTORIES( ${HTTRACK_INCLUDES_DIR}  ${CMAKE_SOURCE_DIR} $(CMAKE_CURRENT_SOURCE_DIR)/sources/options/includes $(CMAKE_CURRENT_SOURCE_DIR)/sources/main/includes )
