=== debian/changelog ===
httraqt (1.4.4-1) unstable; urgency=medium

  * [b710f90] Imported Upstream version 1.4.4

 -- Anton Gladky <gladk@debian.org>  Fri, 25 Jul 2014 23:25:15 +0200

httraqt (1.4.3-1) unstable; urgency=medium

  * [853a145] Imported Upstream version 1.4.3

 -- Anton Gladky <gladk@debian.org>  Tue, 10 Jun 2014 23:35:47 +0200

httraqt (1.3.2-1) unstable; urgency=medium

  * [d7782ee] Imported Upstream version 1.3.2

 -- Anton Gladky <gladk@debian.org>  Mon, 28 Apr 2014 19:30:15 +0200

httraqt (1.3.1-1) unstable; urgency=medium

  * [be7896b] Imported Upstream version 1.3.1

 -- Anton Gladky <gladk@debian.org>  Sun, 23 Mar 2014 07:18:08 +0100
