## httraqt 1.4.6

=== debian/changelog ===
httraqt (1.4.6-2) unstable; urgency=medium

  * [3c3588e] Take build date from d/changelog. Towards reproducibility.

 -- Anton Gladky <gladk@debian.org>  Mon, 07 Sep 2015 18:39:13 +0200

httraqt (1.4.6-1) unstable; urgency=medium

  * [284a7cf] Imported Upstream version 1.4.6
  * [a52f714] Switch to Qt5.

 -- Anton Gladky <gladk@debian.org>  Sun, 06 Sep 2015 21:22:30 +0200

httraqt (1.4.5-1) unstable; urgency=medium

  * [f7792bd] Imported Upstream version 1.4.5
  * [d5dd257] Standards-Version: 3.9.6. No changes.
  * [8509702] Update d/copyright.
  * [7c6636f] Apply cme fix dpkg-control.

 -- Anton Gladky <gladk@debian.org>  Sat, 05 Sep 2015 22:04:12 +0200
